
Robotics Service Bus - Bug #2686
CL tools sometimes fail to connect to localhost
01/17/2017 10:56 AM - J. Wienke

Status: New Start date: 01/17/2017
Priority: Normal Due date:
Assignee: J. Moringen % Done: 0%
Category: Common Lisp Tools Estimated time: 0.00 hour
Target version: rsb-0.18
Description

iptables rejects external connections

languitar@jaco ~/data/perftest-results/muthr [1]> rsb-toolscl0.15 logger --log-level=trace --trace='"USOCKET"' -s compact
socket://localhost:46295
 <INFO> [10:42:37] [main thread] rsb.tools.commands mixins.lisp (command-execute :before source-mixin) -
  Using source URI #<PURI:URI socket://localhost:46295/>
<TRACE> [10:42:37] [main thread] rsb.event-processing configurator.lisp (setf processor-error-policy :around configurator) -
  #<IN-ROUTE-CONFIGURATOR {1007DCCFB3}> is installing new error policy NIL in processor
  #<#<STANDARD-CLASS "(RSB.EVENT-PROCESSING:ERROR-POLICY-HANDLER-MIXIN
RSB.EVENT-PROCESSING:RESTART-HANDLER-MIXIN RSB.EVENT-PROCESSING:RESTART-DISPATCHER-MIXIN
RSB.EVENT-PROCESSING:FILTERING-PROCESSOR-MIXIN RSB.EVENT-PROCESSING:DELIVER-TIMESTAMP-MIXIN
RSB.EVENT-PROCESSING:BROADCAST-PROCESSOR RSB.EVENT-PROCESSING:ERROR-POLICY-MIXIN)"
{1008428683}> {100842D053}>
<DEBUG> [10:42:37] [main thread] rsb receiving-client.lisp (setf receiver-filters :around list receiving-client) -
  #<LISTENER / |(1) C75A29CD>
    added   filters (#<COMPLEMENT-FILTER (1) {100417ACEB}>)
    removed filters ()
<DEBUG> [10:42:37] [main thread] rsb listener.lisp (setf handlers :around list listener) -
  #<LISTENER / |(1) C75A29CD>
    added   handlers (#<CLOSURE (LAMBDA (RSB:EVENT) :IN RSB.TOOLS.COMMANDS::MAKE-HANDLER)
{1007C43F0B}>)
    removed handlers ()
<TRACE> [10:42:37] [main thread] rsb.event-processing in-route-configurator.lisp (notify in-route-configurator :handler-added)
-
  #<IN-ROUTE-CONFIGURATOR {1007DCCFB3}> is adding handler #<CLOSURE (LAMBDA (RSB:EVENT) :IN
RSB.TOOLS.COMMANDS::MAKE-HANDLER) {1007C43F0B}> to
  #<#<STANDARD-CLASS "(RSB.EVENT-PROCESSING:ERROR-POLICY-HANDLER-MIXIN
RSB.EVENT-PROCESSING:RESTART-HANDLER-MIXIN RSB.EVENT-PROCESSING:RESTART-DISPATCHER-MIXIN
RSB.EVENT-PROCESSING:FILTERING-PROCESSOR-MIXIN RSB.EVENT-PROCESSING:DELIVER-TIMESTAMP-MIXIN
RSB.EVENT-PROCESSING:BROADCAST-PROCESSOR RSB.EVENT-PROCESSING:ERROR-POLICY-MIXIN)"
{1008428683}> {100842D053}>
<TRACE> [10:42:37] [main thread] rsb.event-processing configurator.lisp (setf processor-error-policy :around configurator) -
  #<IN-ROUTE-CONFIGURATOR {1007DCCFB3}> is installing new error policy #<CLOSURE (LAMBDA (CONDITION) :IN
RSB:MAKE-PARTICIPANT-USING-CLASS) {1008E1720B}> in
  processor
  #<#<STANDARD-CLASS "(RSB.EVENT-PROCESSING:ERROR-POLICY-HANDLER-MIXIN
RSB.EVENT-PROCESSING:RESTART-HANDLER-MIXIN RSB.EVENT-PROCESSING:RESTART-DISPATCHER-MIXIN
RSB.EVENT-PROCESSING:FILTERING-PROCESSOR-MIXIN RSB.EVENT-PROCESSING:DELIVER-TIMESTAMP-MIXIN
RSB.EVENT-PROCESSING:BROADCAST-PROCESSOR RSB.EVENT-PROCESSING:ERROR-POLICY-MIXIN)"
{1008428683}> {100842D053}>
<TRACE> [10:42:37] [main thread] rsb.event-processing configurator.lisp (setf configurator-connectors :around list
configurator) -
  #<IN-ROUTE-CONFIGURATOR {1007DCCFB3}> added connectors #<IN-PUSH socket://localhost:46295/ {10084D4053}>
<TRACE> [10:42:37] [main thread] rsb.event-processing configurator.lisp (setf configurator-connectors :around list
configurator) -
  #<IN-ROUTE-CONFIGURATOR {1007DCCFB3}> removed connectors 
<TRACE> [10:42:37] [main thread] rsb.event-processing configurator.lisp (notify configurator :connector-added) -
  #<IN-ROUTE-CONFIGURATOR {1007DCCFB3}> is installing new error policy #<CLOSURE (LAMBDA (CONDITION) :IN
RSB:MAKE-PARTICIPANT-USING-CLASS) {1008E1720B}> in
  connector #<IN-PUSH socket://localhost:46295/ {10084D4053}>
<TRACE> [10:42:37] [main thread] rsb.event-processing configurator.lisp (notify configurator :connector-added) -
  #<IN-ROUTE-CONFIGURATOR {1007DCCFB3}> is attaching connector #<IN-PUSH socket://localhost:46295/
{10084D4053}> to scope #<SCOPE / ! {10007D3193}>
<TRACE> [10:42:37] [main thread] rsb.transport.socket transport.lisp (transport-ensure-bus socket-transport string integer
:server!) -
  #<SOCKET-TRANSPORT :SOCKET (3) remote (C 0) (S 0) {1001260A53}> is trying to obtain bus server localhost:46295 for
  #<IN-PUSH socket://localhost:46295/ {10084D4053}>
  0: (USOCKET:SOCKET-LISTEN "0.0.0.0" 46295 :ELEMENT-TYPE (UNSIGNED-BYTE 8))
    1: (USOCKET::HOST-TO-HOSTNAME "0.0.0.0")
    1: USOCKET::HOST-TO-HOSTNAME returned "0.0.0.0" 
    1: (USOCKET::GET-HOSTS-BY-NAME "0.0.0.0")
    1: USOCKET::GET-HOSTS-BY-NAME returned (#(0 0 0 0))
    1: (USOCKET::HANDLE-CONDITION #<SB-BSD-SOCKETS:ADDRESS-IN-USE-ERROR {10096F5543}> NIL)
<TRACE> [10:42:37] [main thread] rsb.transport.socket transport.lisp (transport-ensure-bus socket-transport string integer
:client!) -
  #<SOCKET-TRANSPORT :SOCKET (3) remote (C 0) (S 0) {1001260A53}> is trying to obtain bus client "localhost":46295 for
  #<IN-PUSH socket://localhost:46295/ {10084D4053}>
  0: (USOCKET:SOCKET-CONNECT "localhost" 46295 :ELEMENT-TYPE (UNSIGNED-BYTE 8) :NODELAY T)
    1: (USOCKET::HOST-TO-HOSTNAME "localhost")
    1: USOCKET::HOST-TO-HOSTNAME returned "localhost" 
    1: (USOCKET::GET-HOSTS-BY-NAME "localhost")
    1: USOCKET::GET-HOSTS-BY-NAME returned (#(127 0 0 1) #(0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1))
    1: (USOCKET::MAKE-STREAM-SOCKET :SOCKET #<SB-BSD-SOCKETS:INET-SOCKET 0.0.0.0:0, fd: 4 {100998EC93}>
:STREAM #<BROADCAST-STREAM {1003FF8843}>)
    1: USOCKET::MAKE-STREAM-SOCKET returned #<USOCKET:STREAM-USOCKET {1009A381E3}>
    1: (USOCKET::HANDLE-CONDITION #<SB-BSD-SOCKETS:CONNECTION-REFUSED-ERROR {1009A3AA23}>
#<USOCKET:STREAM-USOCKET {1009A381E3}>)
 <INFO> [10:42:37] [main thread] rsb.tools.common error-handling.lisp (maybe-relay-to-thread) -
  Error policy #<FUNCTION RSB.TOOLS.COMMON:ABORT/SIGNAL> in thread #<THREAD "main thread" RUNNING
{10070F6A53}>; unwinding normally
Failed to create LISTENER participant in the channel designated by "socket://localhost:46295/" using transport configuration

languitar@jaco ~/data/perftest-results/muthr [1]> rsb-toolscl0.15 logger --log-level=trace --trace='"USOCKET"' -s compact
socket://localhost:46295
 <INFO> [10:42:37] [main thread] rsb.tools.commands mixins.lisp (command-execute :before source-mixin) -
  Using source URI #<PURI:URI socket://localhost:46295/>
<TRACE> [10:42:37] [main thread] rsb.event-processing configurator.lisp (setf processor-error-policy :around configurator) -
  #<IN-ROUTE-CONFIGURATOR {1007DCCFB3}> is installing new error policy NIL in processor
  #<#<STANDARD-CLASS "(RSB.EVENT-PROCESSING:ERROR-POLICY-HANDLER-MIXIN
RSB.EVENT-PROCESSING:RESTART-HANDLER-MIXIN RSB.EVENT-PROCESSING:RESTART-DISPATCHER-MIXIN
RSB.EVENT-PROCESSING:FILTERING-PROCESSOR-MIXIN RSB.EVENT-PROCESSING:DELIVER-TIMESTAMP-MIXIN
RSB.EVENT-PROCESSING:BROADCAST-PROCESSOR RSB.EVENT-PROCESSING:ERROR-POLICY-MIXIN)"
{1008428683}> {100842D053}>
<DEBUG> [10:42:37] [main thread] rsb receiving-client.lisp (setf receiver-filters :around list receiving-client) -
  #<LISTENER / |(1) C75A29CD>
    added   filters (#<COMPLEMENT-FILTER (1) {100417ACEB}>)
    removed filters ()
<DEBUG> [10:42:37] [main thread] rsb listener.lisp (setf handlers :around list listener) -
  #<LISTENER / |(1) C75A29CD>
    added   handlers (#<CLOSURE (LAMBDA (RSB:EVENT) :IN RSB.TOOLS.COMMANDS::MAKE-HANDLER)
{1007C43F0B}>)
    removed handlers ()
<TRACE> [10:42:37] [main thread] rsb.event-processing in-route-configurator.lisp (notify in-route-configurator :handler-added)
-
  #<IN-ROUTE-CONFIGURATOR {1007DCCFB3}> is adding handler #<CLOSURE (LAMBDA (RSB:EVENT) :IN
RSB.TOOLS.COMMANDS::MAKE-HANDLER) {1007C43F0B}> to
  #<#<STANDARD-CLASS "(RSB.EVENT-PROCESSING:ERROR-POLICY-HANDLER-MIXIN
RSB.EVENT-PROCESSING:RESTART-HANDLER-MIXIN RSB.EVENT-PROCESSING:RESTART-DISPATCHER-MIXIN
RSB.EVENT-PROCESSING:FILTERING-PROCESSOR-MIXIN RSB.EVENT-PROCESSING:DELIVER-TIMESTAMP-MIXIN
RSB.EVENT-PROCESSING:BROADCAST-PROCESSOR RSB.EVENT-PROCESSING:ERROR-POLICY-MIXIN)"
{1008428683}> {100842D053}>
<TRACE> [10:42:37] [main thread] rsb.event-processing configurator.lisp (setf processor-error-policy :around configurator) -
  #<IN-ROUTE-CONFIGURATOR {1007DCCFB3}> is installing new error policy #<CLOSURE (LAMBDA (CONDITION) :IN
RSB:MAKE-PARTICIPANT-USING-CLASS) {1008E1720B}> in
  processor
  #<#<STANDARD-CLASS "(RSB.EVENT-PROCESSING:ERROR-POLICY-HANDLER-MIXIN
RSB.EVENT-PROCESSING:RESTART-HANDLER-MIXIN RSB.EVENT-PROCESSING:RESTART-DISPATCHER-MIXIN
RSB.EVENT-PROCESSING:FILTERING-PROCESSOR-MIXIN RSB.EVENT-PROCESSING:DELIVER-TIMESTAMP-MIXIN
RSB.EVENT-PROCESSING:BROADCAST-PROCESSOR RSB.EVENT-PROCESSING:ERROR-POLICY-MIXIN)"
{1008428683}> {100842D053}>
<TRACE> [10:42:37] [main thread] rsb.event-processing configurator.lisp (setf configurator-connectors :around list
configurator) -
  #<IN-ROUTE-CONFIGURATOR {1007DCCFB3}> added connectors #<IN-PUSH socket://localhost:46295/ {10084D4053}>
<TRACE> [10:42:37] [main thread] rsb.event-processing configurator.lisp (setf configurator-connectors :around list
configurator) -
  #<IN-ROUTE-CONFIGURATOR {1007DCCFB3}> removed connectors 
<TRACE> [10:42:37] [main thread] rsb.event-processing configurator.lisp (notify configurator :connector-added) -
  #<IN-ROUTE-CONFIGURATOR {1007DCCFB3}> is installing new error policy #<CLOSURE (LAMBDA (CONDITION) :IN
RSB:MAKE-PARTICIPANT-USING-CLASS) {1008E1720B}> in
  connector #<IN-PUSH socket://localhost:46295/ {10084D4053}>
<TRACE> [10:42:37] [main thread] rsb.event-processing configurator.lisp (notify configurator :connector-added) -
  #<IN-ROUTE-CONFIGURATOR {1007DCCFB3}> is attaching connector #<IN-PUSH socket://localhost:46295/
{10084D4053}> to scope #<SCOPE / ! {10007D3193}>
<TRACE> [10:42:37] [main thread] rsb.transport.socket transport.lisp (transport-ensure-bus socket-transport string integer
:server!) -
  #<SOCKET-TRANSPORT :SOCKET (3) remote (C 0) (S 0) {1001260A53}> is trying to obtain bus server localhost:46295 for
  #<IN-PUSH socket://localhost:46295/ {10084D4053}>
  0: (USOCKET:SOCKET-LISTEN "0.0.0.0" 46295 :ELEMENT-TYPE (UNSIGNED-BYTE 8))
    1: (USOCKET::HOST-TO-HOSTNAME "0.0.0.0")
    1: USOCKET::HOST-TO-HOSTNAME returned "0.0.0.0" 
    1: (USOCKET::GET-HOSTS-BY-NAME "0.0.0.0")
    1: USOCKET::GET-HOSTS-BY-NAME returned (#(0 0 0 0))
    1: (USOCKET::HANDLE-CONDITION #<SB-BSD-SOCKETS:ADDRESS-IN-USE-ERROR {10096F5543}> NIL)
<TRACE> [10:42:37] [main thread] rsb.transport.socket transport.lisp (transport-ensure-bus socket-transport string integer
:client!) -
  #<SOCKET-TRANSPORT :SOCKET (3) remote (C 0) (S 0) {1001260A53}> is trying to obtain bus client "localhost":46295 for
  #<IN-PUSH socket://localhost:46295/ {10084D4053}>

03/13/2024 3/4



  0: (USOCKET:SOCKET-CONNECT "localhost" 46295 :ELEMENT-TYPE (UNSIGNED-BYTE 8) :NODELAY T)
    1: (USOCKET::HOST-TO-HOSTNAME "localhost")
    1: USOCKET::HOST-TO-HOSTNAME returned "localhost" 
    1: (USOCKET::GET-HOSTS-BY-NAME "localhost")
    1: USOCKET::GET-HOSTS-BY-NAME returned (#(127 0 0 1) #(0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 1))
    1: (USOCKET::MAKE-STREAM-SOCKET :SOCKET #<SB-BSD-SOCKETS:INET-SOCKET 0.0.0.0:0, fd: 4 {100998EC93}>
:STREAM #<BROADCAST-STREAM {1003FF8843}>)
    1: USOCKET::MAKE-STREAM-SOCKET returned #<USOCKET:STREAM-USOCKET {1009A381E3}>
    1: (USOCKET::HANDLE-CONDITION #<SB-BSD-SOCKETS:CONNECTION-REFUSED-ERROR {1009A3AA23}>
#<USOCKET:STREAM-USOCKET {1009A381E3}>)
 <INFO> [10:42:37] [main thread] rsb.tools.common error-handling.lisp (maybe-relay-to-thread) -
  Error policy #<FUNCTION RSB.TOOLS.COMMON:ABORT/SIGNAL> in thread #<THREAD "main thread" RUNNING
{10070F6A53}>; unwinding normally
Failed to create LISTENER participant in the channel designated by "socket://localhost:46295/" using transport configuration

History
#1 - 03/29/2017 01:33 AM - J. Moringen
- Target version set to rsb-0.16

#2 - 04/10/2017 08:59 PM - J. Moringen
- Target version changed from rsb-0.16 to rsb-0.17

#3 - 10/16/2017 09:23 PM - J. Moringen
- Target version changed from rsb-0.17 to rsb-0.18
